# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaThumbnail

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.media.mediarss.AbstractMediaResource
                  com.google.gdata.data.media.mediarss.MediaThumbnail

All Implemented Interfaces:
  Extension

    public class MediaThumbnail

extends AbstractMediaResource

`<media:thumbnail>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaThumbnail()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Subclasses can overwrite this method to parse extra attributes.
`static ExtensionDescription` `getDefaultDescription()` Describes the tag to an `ExtensionProfile`.
`NormalPlayTime` `getTime()`
`protected void` `putAttributes(AttributeGenerator generate)` Subclasses can overwrite this method to add extra attributes.
`void` `setTime(NormalPlayTime time)`

Methods inherited from class com.google.gdata.data.media.mediarss.AbstractMediaResource
`getHeight, getUrl, getWidth, setHeight, setUrl, setWidth`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### MediaThumbnail

    public MediaThumbnail()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describes the tag to an `ExtensionProfile`.

### getTime

    public NormalPlayTime getTime()

### setTime

    public void setTime(NormalPlayTime time)

### putAttributes

    protected void putAttributes(AttributeGenerator generate)

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to add extra attributes.

  Overrides:
    `putAttributes` in class `AbstractMediaResource`
  Parameters:
    `generate` - used to output attributes.

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to parse extra attributes.

  Overrides:
    `consumeAttributes` in class `AbstractMediaResource`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception